import { __assign, __extends, __rest } from "tslib";
import { jsx as _jsx } from "react/jsx-runtime";
import { PureComponent } from 'react';
import cx from 'classnames';
import Base from './Base';
var Circle = (function (_super) {
    __extends(Circle, _super);
    function Circle() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Circle.prototype.render = function () {
        var _a = this.props, className = _a.className, diameter = _a.diameter, style = _a.style, passThrough = __rest(_a, ["className", "diameter", "style"]);
        var classes = cx('zent-placeholder-circle', className);
        var mergedStyle = __assign({ height: diameter, minWidth: diameter }, style);
        return _jsx(Base, __assign({ className: classes, style: mergedStyle }, passThrough), void 0);
    };
    Circle.defaultProps = {
        style: {},
        animate: true,
        diameter: 80,
    };
    return Circle;
}(PureComponent));
export default Circle;
